No podspec found for xxxxxxx in ../node_modules/xxxxxxx/ios`

#1

After upgrade to expo 30 I get series of errors
No podspec found for xxxxxxx in ../node_modules/xxxxxxx/ios

the problem is that there is not directory e.g.
node_modules/expo-core
but there is
node_modules/expo/node_modules/expo-core

npm ls expo-core returns

mobile-client@0.1.0 /Users/xxxxxx/workspace/xxxxx/mobile-client
└─┬ expo@30.0.1
  ├─┬ expo-analytics-segment@1.0.0
  │ └── expo-core@1.1.0
  ├─┬ expo-constants@1.0.2
  │ ├─┬ expo-constants-interface@1.0.2
  │ │ └── expo-core@1.1.0
  │ └── expo-core@1.1.0
  ├─┬ expo-contacts@1.0.0
  │ └── expo-core@1.1.0
  ├─┬ expo-face-detector@1.0.2
  │ ├── expo-core@1.1.0
  │ ├─┬ expo-face-detector-interface@1.0.2
  │ │ └── expo-core@1.1.0
  │ └─┬ expo-permissions-interface@1.1.0
  │   └── expo-core@1.1.0
  ├─┬ expo-file-system@1.0.2
  │ ├── expo-core@1.1.0
  │ └─┬ expo-file-system-interface@1.0.2
  │   └── expo-core@1.1.0
  ├─┬ expo-font@1.0.0
  │ ├── expo-core@1.1.0
  │ └─┬ expo-font-interface@1.0.0
  │   └── expo-core@1.1.0
  ├─┬ expo-gl@1.0.2
  │ ├─┬ expo-camera-interface@1.0.2
  │ │ └── expo-core@1.1.0
  │ ├── expo-core@1.1.0
  │ └─┬ expo-gl-cpp@1.0.2
  │   └── expo-core@1.1.0
  ├─┬ expo-local-authentication@1.0.0
  │ └── expo-core@1.1.0
  ├─┬ expo-media-library@1.0.0
  │ └── expo-core@1.1.0
  ├─┬ expo-payments-stripe@1.0.1
  │ └── expo-core@1.1.0
  ├─┬ expo-print@1.0.0
  │ └── expo-core@1.1.0
  ├─┬ expo-react-native-adapter@1.1.1
  │ └─┬ expo-image-loader-interface@1.0.0
  │   └── expo-core@1.1.0
  ├─┬ expo-sensors@1.0.2
  │ ├── expo-core@1.1.0
  │ └─┬ expo-sensors-interface@1.0.2
  │   └── expo-core@1.1.0
  └─┬ expo-sms@1.0.2
    └── expo-core@1.1.0

as a workaround, I just added a script that moves all from ./node_modules/expo/node_modules to ./node_modules

#2

Instead of making a custom script you could also add expo-core as a dependency of your project, to your package.json. This isn’t solving some underlying issue, just another workaround. :slight_smile:

#3

But I would have to add specific version of core and other modules. Moreover when I just copied modules instead moving them, then I couldn’t build iOS because of some duplicated packages.

closed #4

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.